API Explorer 936 endpoints

Create Customer Message

POST /obp/v7.0.0/banks/BANK_ID/customers/CUSTOMER_ID/messages

OBPv4.0.0-createCustomerMessage Roles: CanCreateCustomerMessage(per bank) Customer-MessageCustomerPerson

Create a message for the customer specified by CUSTOMER_ID User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

CUSTOMER_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh

JSON request body fields (4)
from_department
Open Bank
from_person
Tom
message
123456
transport
SMS
JSON response body fields (1)
success
Example request body
{
  "message": "123456",
  "transport": "SMS",
  "from_department": "Open Bank",
  "from_person": "Tom"
}
Example success response
{
  "success": "Success"
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv4.0.0 createCustomerMessage Originally /obp/v4.0.0/banks/BANK_ID/customers/CUSTOMER_ID/messages